<?php
/*
	PayAnyWay payment module
*/

	chdir('../../../../');
	require ('includes/application_top.php');
    require(DIR_WS_LANGUAGES . $language . '/' . FILENAME_CHECKOUT_SUCCESS);
	require_once (DIR_WS_MODULES . 'payment/MonetaAPI/MonetaWebService.php');

	
	$payment_system = substr($HTTP_GET_VARS['payment_system'], 10);

	if (MODULE_PAYMENT_PAYANYWAY_SERVER == 'www.payanyway.ru') {
		$service = new MonetaWebService("https://www.moneta.ru/services.wsdl", MODULE_PAYMENT_PAYANYWAY_LOGIN, MODULE_PAYMENT_PAYANYWAY_PASSWORD);
	} else {
		$service = new MonetaWebService("https://demo.moneta.ru/services.wsdl", MODULE_PAYMENT_PAYANYWAY_LOGIN, MODULE_PAYMENT_PAYANYWAY_PASSWORD);
	}

	try {
		// получить данные счета
		$request = new MonetaInvoiceRequest();
		$request->payer = $HTTP_GET_VARS['paymentSystem_accountId'];
		$request->payee = $HTTP_GET_VARS['MNT_ID'];
		$request->amount = $HTTP_GET_VARS['MNT_AMOUNT'];
		$request->clientTransaction = $HTTP_GET_VARS['MNT_TRANSACTION_ID'];

		if ($payment_system == 'post') {
			$operationInfo = new MonetaOperationInfo();
			$a1 = new MonetaKeyValueAttribute();
			$a1->key = 'mailofrussiaindex';
			$a1->value = $HTTP_GET_VARS['additionalParameters_mailofrussiaSenderIndex'];
			$operationInfo->addAttribute($a1);
			$a2 = new MonetaKeyValueAttribute();
			$a2->key = 'mailofrussiaaddress';
			$a2->value = $HTTP_GET_VARS['additionalParameters_mailofrussiaSenderAddress'];
			$operationInfo->addAttribute($a2);
			$a3 = new MonetaKeyValueAttribute();
			$a3->key = 'mailofrussianame';
			$a3->value = $HTTP_GET_VARS['additionalParameters_mailofrussiaSenderName'];
			$operationInfo->addAttribute($a3);
			$request->operationInfo = $operationInfo;
		}
		elseif ($payment_system == 'euroset')
		{
			$operationInfo = new MonetaOperationInfo();
			$a1 = new MonetaKeyValueAttribute();
			$a1->key = 'rapidamphone';
			$a1->value = $HTTP_GET_VARS['additionalParameters_rapidaPhone'];
			$operationInfo->addAttribute($a1);
			$request->operationInfo = $operationInfo;
		}
		$response = $service->Invoice($request);
		if ($payment_system == 'euroset')
		{
			$response1 = $service->GetOperationDetailsById($response->transaction);
			foreach ($response1->operation->attribute as $attr)
			{
				if ($attr->key == 'rapidatid')
				{
					$transaction_id = $attr->value;
				}
			}
		}
		else
		{
			$transaction_id = $response->transaction;
		}

		$invoice->status = $response->status;
		$invoice->transaction = str_pad($transaction_id, 10, "0", STR_PAD_LEFT);
		$invoice->system = $payment_system;
		$invoice->amount = $HTTP_GET_VARS['MNT_AMOUNT']." ".$HTTP_GET_VARS['MNT_CURRENCY_CODE'];
	}
	catch (Exception $e) {
		$invoice->status = 'FAILED';
		$invoice->error_message = $e->getMessage();
	}
	
?>	
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<html <?php echo HTML_PARAMS; ?>>
<head>
<meta http-equiv="content-type" content="text/html; charset=CP1251" >
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo CHARSET; ?>">
<?php
// BOF: WebMakers.com Changed: Header Tag Controller v1.0
// Replaced by header_tags.php
if ( file_exists(DIR_WS_INCLUDES . 'header_tags.php') ) {
  require(DIR_WS_INCLUDES . 'header_tags.php');
} else {
?>
  <title><?php echo TITLE ?></title>
<?php
}
// EOF: WebMakers.com Changed: Header Tag Controller v1.0
?>
<base href="<?php echo (($request_type == 'SSL') ? HTTPS_SERVER : HTTP_SERVER) . DIR_WS_CATALOG; ?>">
<link rel="stylesheet" type="text/css" href="stylesheet.css">
</head>
<body marginwidth="0" marginheight="0" topmargin="0" bottommargin="0" leftmargin="0" rightmargin="0">
<!-- header //-->
<?php require(DIR_WS_INCLUDES . 'header.php'); ?>
<!-- header_eof //-->

<!-- body //-->
<table border="0" width="100%" cellspacing="3" cellpadding="3">
  <tr>
    <td width="<?php echo BOX_WIDTH; ?>" valign="top"><table border="0" width="<?php echo BOX_WIDTH; ?>" cellspacing="0" cellpadding="2">
<!-- left_navigation //-->
<?php require(DIR_WS_INCLUDES . 'column_left.php'); ?>
<!-- left_navigation_eof //-->
    </table></td>
<!-- body_text //-->
    <td width="100%" valign="top"><?php echo tep_draw_form('order', tep_href_link(FILENAME_CHECKOUT_SUCCESS, 'action=update', 'SSL')); ?><table border="0" width="100%" cellspacing="0" cellpadding="0">
      <tr>
		  
		  
		  
        <td><table border="0" width="100%" cellspacing="4" cellpadding="2">
          <tr>
            <td valign="top"><?php echo tep_image(DIR_WS_IMAGES . 'table_background_man_on_board.gif', HEADING_TITLE); ?></td>
            <td valign="top" class="main"><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?>
				<div align="center" class="pageHeading">
				<?php if ($invoice->status == 'CREATED') {
					echo 'Создано платежное поручение.';
				} else {
					echo 'Ошибка создания платежного поручения.';
				} ?>
				</div>
				<br/>
				<?php if ($invoice->status == 'CREATED') {
					switch ($payment_system) {
						case 'euroset':
							echo "
								<h3>Для оплаты через Евросеть номер счета для пополнения: {$invoice->transaction}</h3>
								<p>Операция создана, но не оплачена. Для завершения операции Вам необходимо произвести перечисление средств в систему PayAnyWay через Евросеть, используя данный код:</p>
								<p>{$invoice->transaction}</p>
								<p>Сумма к оплате: {$invoice->amount}</p>";
							break;
						case 'forward':
							echo "
								<h3>Для оплаты через Форвард Мобайл номер счета для пополнения: {$invoice->transaction}</h3>
								<p>Операция создана, но не оплачена. Для завершения операции Вам необходимо произвести перечисление средств в систему <b>МОНЕТА.РУ</b> через Форвард Мобайл, используя вместо номера счета для пополнения данный код:</p>
								<p>{$invoice->transaction}</p>
								<p>Сумма к оплате: {$invoice->amount}</p>
								";
							break;
						case 'ciberpay':
							echo "
								<h3>Для оплаты через CiberPay номер счета для пополнения: {$invoice->transaction}</h3>
								<p>Операция создана, но не оплачена. Для завершения операции Вам необходимо произвести перечисление средств в систему <b>МОНЕТА.РУ</b> через CiberPay, используя вместо номера счета для пополнения данный код:</p>
								<p>{$invoice->transaction}</p>
								<p>Сумма к оплате: {$invoice->amount}</p>
								";
							break;
						case 'novoplat':
							echo "
								<h3>Для оплаты через NovoPlat номер счета для пополнения: {$invoice->transaction}</h3>
								<p>Операция создана, но не оплачена. Для завершения операции Вам необходимо произвести перечисление средств в систему <b>PayAnyWay</b> через NovoPlat, используя данный код:</p>
								<p>{$invoice->transaction}</p>
								<p>Сумма к оплате: {$invoice->amount}</p>
								";
							break;
						case 'platika':
							echo "
								<h3>Для оплаты через PLATiKA номер счета для пополнения: {$invoice->transaction}</h3>
								<p>Операция создана, но не оплачена. Для завершения операции Вам необходимо произвести перечисление средств в систему <b>МОНЕТА.РУ</b> через систему PLATiKA, используя вместо номера счета для пополнения данный код:</p>
								<p>{$invoice->transaction}</p>
								<p>Сумма к оплате: {$invoice->amount}</p>
								";
							break;
						case 'mcb':
							echo "
								<h3>Для оплаты через терминалы МосКредитБанка номер счета для пополнения: {$invoice->transaction}</h3>
								<p>Операция создана, но не оплачена. Для завершения операции Вам необходимо произвести перечисление средств в систему <b>МОНЕТА.РУ</b> через терминалы Московского Кредитного Банка, используя вместо номера счета для пополнения данный код:</p>
								<p>{$invoice->transaction}</p>
								<p>Сумма к оплате: {$invoice->amount}</p>
								";
							break;
						case 'elecsnet':
							echo "
								<h3>Для оплаты в Элекснет номер счета для пополнения: {$invoice->transaction}</h3>
								<p>Операция создана, но не оплачена. Для завершения операции Вам необходимо произвести перечисление средств в систему <b>PayAnyWay</b> через терминалы Элекснет, используя данный код:</p>
								<p>{$invoice->transaction}</p>
								<p>Сумма к оплате: {$invoice->amount}</p>
								";
							break;
						case 'comepay':
							echo "
								<h3>Для оплаты в ComePay номер счета для пополнения: {$invoice->transaction}</h3>
								<p>Операция создана, но не оплачена. Для завершения операции Вам необходимо произвести перечисление средств в систему <b>PayAnyWay</b> через терминалы ComePay, используя данный код:</p>
								<p>{$invoice->transaction}</p>
								<p>Сумма к оплате: {$invoice->amount}</p>
								";
							break;
						case 'gorod':
							echo "
								<h3>Для оплаты через \"Федеральную Систему ГОРОД\" номер счета для пополнения: {$invoice->transaction}</h3>
								<p>Операция создана, но не оплачена. Для завершения операции Вам необходимо произвести перечисление средств в систему <b>PayAnyWay</b> через \"Федеральную Систему ГОРОД\", используя данный код:</p>
								<p>{$invoice->transaction}</p>
								<p>Сумма к оплате: {$invoice->amount}</p>
								";
							break;
						case 'contact':
							echo "
								<h3>Для оплаты в системе \"Contact\" номер счета для пополнения: {$invoice->transaction}</h3>
								<p>Операция создана, но не оплачена. Для завершения операции Вам необходимо произвести перечисление средств в систему <b>МОНЕТА.РУ</b> через систему \"Contact\", используя вместо номера счета для пополнения данный код:</p>
								<p>{$invoice->transaction}</p>
								<p>Сумма к оплате: {$invoice->amount}</p>
								";
							break;
						case 'post':
							echo "
								<p>Операция оплаты  почтовым переводом создана и находится в обработке. Для завершения операции <a target=\"_blank\" href=\"https://www.payanyway.ru/mailofrussiablank.htm?operationId={$invoice->transaction}\">распечатайте</a> бланк почтового перевода и проведите электронный платеж в любом отделении связи <a target=\"_blank\" href=\"http://www.russianpost.ru\">Почты России</a>. Для просмотра бланка в формате PDF необходимо иметь установленную на Вашем компьютере программу <a target=\"_blank\" href=\"http://get.adobe.com/reader/\">Adobe Acrobat Reader.</a></p>
								";
							break;
						case 'banktransfer':
							echo "
								<p>Операция оплаты банковским переводом создана и находится в обработке. Для завершения операции <a onclick=\"window.open('https://www.payanyway.ru/wiretransferreceipt.htm?transactionId={$invoice->transaction}','newwindow','1,0,0,0,0,resizable=1,scrollbars=1,width=730,height=670');return false;\" href=\"#\">распечатайте</a> бланк платежного поручения и оплатите квитанцию в любом российском банке.</p>
								";
							break;
						default:
							echo $payment_system;
							break;
					}
				} else {
					echo $invoice->error_message;
				} ?>
			
			
            <h3><?php echo TEXT_THANKS_FOR_SHOPPING; ?></h3></td>
          </tr>
        </table></td>
		
		
		
		
      </tr>
<?php require('add_checkout_success.php'); //ICW CREDIT CLASS/GV SYSTEM ?>
      <tr>
        <td colspan="2"><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></td>
      </tr>
      
<?php

$orders_query = tep_db_query("select orders_id, orders_status from ".TABLE_ORDERS." where customers_id = '".$customer_id."' order by orders_id desc limit 1");
$orders = tep_db_fetch_array($orders_query);
$last_order = $orders['orders_id'];

	include (DIR_WS_CLASSES.'order.php');
	$order = new order($orders['orders_id']);

require(DIR_WS_LANGUAGES . $language . '/modules/payment/schet.php');
if ($order->info['payment_method'] == MODULE_PAYMENT_RUS_SCHET_TEXT_TITLE) {

?>

<script language="javascript"><!--
function popupPrintorder(url) {
  window.open(url,'popupPrintorder','toolbar=yes,location=no,directories=no,status=no,menubar=yes,scrollbars=yes,resizable=yes,copyhistory=no,width=800,height=600') . focus();
}
//--></script>

      <tr> 
        <td align="left" colspan="2" class="main"><a href="javascript:popupPrintorder('<?php echo tep_href_link(FILENAME_ORDERS_PRINTABLE, 'order_id=' . $_GET['order_id']); ?>')"><?php echo tep_image_button('button_printorder.gif', IMAGE_BUTTON_PRINT_ORDER); ?></a>
      </td>
      </tr>
     
<?php
} 
?>

<?php 
require(DIR_WS_LANGUAGES . $language . '/modules/payment/rusbank.php');
if ($order->info['payment_method'] == MODULE_PAYMENT_RUS_BANK_TEXT_TITLE) {
?>

<script language="javascript"><!--
function popupPrintorder(url) {
  window.open(url,'popupPrintorder','toolbar=yes,location=no,directories=no,status=no,menubar=yes,scrollbars=yes,resizable=yes,copyhistory=no,width=800,height=600') . focus();
}
//--></script>

      <tr> 
        <td align="left" colspan="2" class="main"><a href="javascript:popupPrintorder('<?php echo tep_href_link('kvitan.php', 'order_id=' . $_GET['order_id']); ?>')"><?php echo MODULE_PAYMENT_RUS_BANK_TEXT_PRINT; ?></a>
      </td>
      </tr>
     
<?php
}
?> 

      <tr> 
        <td align="right" class="main" colspan="2"><?php echo tep_image_submit('button_continue.gif', IMAGE_BUTTON_CONTINUE); ?></td>
      </tr>

      <tr>
        <td colspan="2"><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></td>
      </tr>
      <tr>
        <td><table border="0" width="100%" cellspacing="0" cellpadding="0">
          <tr>
            <td width="25%"><table border="0" width="100%" cellspacing="0" cellpadding="0">
              <tr>
                <td width="50%" align="right"><?php echo tep_draw_separator('pixel_silver.gif', '1', '5'); ?></td>
                <td width="50%"><?php echo tep_draw_separator('pixel_silver.gif', '100%', '1'); ?></td>
              </tr>
            </table></td>
            <td width="25%"><?php echo tep_draw_separator('pixel_silver.gif', '100%', '1'); ?></td>
            <td width="25%"><?php echo tep_draw_separator('pixel_silver.gif', '100%', '1'); ?></td>
            <td width="25%"><table border="0" width="100%" cellspacing="0" cellpadding="0">
              <tr>
                <td width="50%"><?php echo tep_draw_separator('pixel_silver.gif', '100%', '1'); ?></td>
                <td width="50%"><?php echo tep_image(DIR_WS_IMAGES . 'checkout_bullet.gif'); ?></td>
              </tr>
            </table></td>
          </tr>
          <tr>
            <td align="center" width="25%" class="checkoutBarFrom"><?php echo CHECKOUT_BAR_DELIVERY; ?></td>
            <td align="center" width="25%" class="checkoutBarFrom"><?php echo CHECKOUT_BAR_PAYMENT; ?></td>
            <td align="center" width="25%" class="checkoutBarFrom"><?php echo CHECKOUT_BAR_CONFIRMATION; ?></td>
            <td align="center" width="25%" class="checkoutBarCurrent"><?php echo CHECKOUT_BAR_FINISHED; ?></td>
          </tr>
        </table></td>
      </tr>
<?php if (DOWNLOAD_ENABLED == 'true') include(DIR_WS_MODULES . 'downloads.php'); ?>
    </table></form></td>
<!-- body_text_eof //-->
    <td width="<?php echo BOX_WIDTH; ?>" valign="top"><table border="0" width="<?php echo BOX_WIDTH; ?>" cellspacing="0" cellpadding="2">
<!-- right_navigation //-->
<?php require(DIR_WS_INCLUDES . 'column_right.php'); ?>
<!-- right_navigation_eof //-->
    </table></td>
  </tr>
</table>
<!-- body_eof //-->

<!-- footer //-->
<?php require(DIR_WS_INCLUDES . 'footer.php'); ?>
<!-- footer_eof //-->
<br>
</body>
</html>
	
	
<?php  require(DIR_WS_INCLUDES . 'application_bottom.php'); ?>
