<?php
/*
	PayAnyWay payment module
*/
	require_once (dirname(__FILE__).'/payanyway.php');

	class payanyway_contact extends payanyway{
		var $code, $title, $description, $enabled;
		var $params = array('unit_id' => 1028, 'limit_ids' => '1028', 'account_id' => '26', 'online' => 0);

		// class constructor
		function payanyway_contact() {
			global $order;

			$this->code = 'payanyway_contact';
			$this->title = MODULE_PAYMENT_PAYANYWAY_CONTACT_TEXT_TITLE;
			$this->description = MODULE_PAYMENT_PAYANYWAY_CONTACT_TEXT_DESCRIPTION;
			$this->sort_order = MODULE_PAYMENT_PAYANYWAY_CONTACT_SORT_ORDER;
			$this->enabled = ((MODULE_PAYMENT_PAYANYWAY_CONTACT_STATUS == 'True') ? true : false);

			if ((int)MODULE_PAYMENT_PAYANYWAY_PREPARE_ORDER_STATUS_ID > 0) {
				$this->order_status = MODULE_PAYMENT_PAYANYWAY_PREPARE_ORDER_STATUS_ID;
			}

			if (is_object($order)) $this->update_status();
		}

		// class methods
		function update_status() {
			global $order;

			if ( ($this->enabled == true) && ((int)MODULE_PAYMENT_PAYANYWAY_CONTACT_ZONE > 0) ) {
				$check_flag = false;
				$check_query = tep_db_query("select zone_id from " . TABLE_ZONES_TO_GEO_ZONES . " where geo_zone_id = '" . MODULE_PAYMENT_PAYANYWAY_CONTACT_ZONE . "' and zone_country_id = '" . $order->billing['country']['id'] . "' order by zone_id");
				while ($check = tep_db_fetch_array($check_query)) {
					if ($check['zone_id'] < 1) {
						$check_flag = true;
						break;
					} elseif ($check['zone_id'] == $order->billing['zone_id']) {
						$check_flag = true;
						break;
					}
				}

				if ($check_flag == false) {
					$this->enabled = false;
				}
			}
		}

		function check() {
			if (!isset($this->_check)) {
				$check_query = tep_db_query("select configuration_value from " . TABLE_CONFIGURATION . " where configuration_key = 'MODULE_PAYMENT_PAYANYWAY_CONTACT_STATUS'");
				$this->_check = tep_db_num_rows($check_query);
			}
			return $this->_check;
		}

		function install() {
			$check_query = tep_db_query("select orders_status_id from " . TABLE_ORDERS_STATUS . " where orders_status_name = 'Preparing [PayAnyWay]' limit 1");

			if (tep_db_num_rows($check_query) < 1) {
				$status_query = tep_db_query("select max(orders_status_id) as status_id from " . TABLE_ORDERS_STATUS);
				$status = tep_db_fetch_array($status_query);

				$status_id = $status['status_id']+1;

				$languages = tep_get_languages();

				for ($i=0, $n=sizeof($languages); $i<$n; $i++) {
					tep_db_query("insert into " . TABLE_ORDERS_STATUS . " (orders_status_id, language_id, orders_status_name) values ('" . $status_id . "', '" . $languages[$i]['id'] . "', 'Preparing [PayAnyWay]')");
				}

				$flags_query = tep_db_query("describe " . TABLE_ORDERS_STATUS . " public_flag");
				if (tep_db_num_rows($flags_query) == 1) {
					tep_db_query("update " . TABLE_ORDERS_STATUS . " set public_flag = 1 and downloads_flag = 0 where orders_status_id = '" . $status_id . "'");
				}
			} else {
				$check = tep_db_fetch_array($check_query);

				$status_id = $check['orders_status_id'];
			} 
		
			tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Enable PayAnyWay Module', 'MODULE_PAYMENT_PAYANYWAY_CONTACT_STATUS', 'True', 'Do you want to accept PayAnyWay payments?', '6', '1', 'tep_cfg_select_option(array(\'True\', \'False\'), ', now())");
			tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function, date_added) values ('Payment Zone', 'MODULE_PAYMENT_PAYANYWAY_CONTACT_ZONE', '0', 'If a zone is selected, only enable this payment method for that zone', '6', '6', 'tep_get_zone_class_title', 'tep_cfg_pull_down_zone_classes(', now())");
			tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Sort order of display.', 'MODULE_PAYMENT_PAYANYWAY_CONTACT_SORT_ORDER', '0', 'Sort order of display. Lowest is displayed first', '6', '9', now())");
		}

		function remove() {
			tep_db_query("delete from " . TABLE_CONFIGURATION . " where configuration_key in ('" . implode("', '", $this->keys()) . "')");
		}

		function keys() {
			return array('MODULE_PAYMENT_PAYANYWAY_CONTACT_STATUS', 'MODULE_PAYMENT_PAYANYWAY_CONTACT_ZONE', 'MODULE_PAYMENT_PAYANYWAY_CONTACT_SORT_ORDER');
		}
	}
?>
