<?php
/*
	PayAnyWay payment module
*/
	require_once (dirname(__FILE__).'/payanyway.php');

	class payanyway_moneymail extends payanyway{
		var $code, $title, $description, $enabled;
		var $params = array('unit_id' => 1038, 'limit_ids' => '1038', 'account_id' => '29', 'online' => 1);

		// class constructor
		function payanyway_moneymail() {
			global $order;

			$this->code = 'payanyway_moneymail';
			$this->title = MODULE_PAYMENT_PAYANYWAY_MONEYMAIL_TEXT_TITLE;
			$this->description = MODULE_PAYMENT_PAYANYWAY_MONEYMAIL_TEXT_DESCRIPTION;
			$this->sort_order = MODULE_PAYMENT_PAYANYWAY_MONEYMAIL_SORT_ORDER;
			$this->enabled = ((MODULE_PAYMENT_PAYANYWAY_MONEYMAIL_STATUS == 'True') ? true : false);

			if ((int)MODULE_PAYMENT_PAYANYWAY_PREPARE_ORDER_STATUS_ID > 0) {
				$this->order_status = MODULE_PAYMENT_PAYANYWAY_PREPARE_ORDER_STATUS_ID;
			}

			if (is_object($order)) $this->update_status();
		}

		// class methods
		function update_status() {
			global $order;

			if ( ($this->enabled == true) && ((int)MODULE_PAYMENT_PAYANYWAY_MONEYMAIL_ZONE > 0) ) {
				$check_flag = false;
				$check_query = tep_db_query("select zone_id from " . TABLE_ZONES_TO_GEO_ZONES . " where geo_zone_id = '" . MODULE_PAYMENT_PAYANYWAY_MONEYMAIL_ZONE . "' and zone_country_id = '" . $order->billing['country']['id'] . "' order by zone_id");
				while ($check = tep_db_fetch_array($check_query)) {
					if ($check['zone_id'] < 1) {
						$check_flag = true;
						break;
					} elseif ($check['zone_id'] == $order->billing['zone_id']) {
						$check_flag = true;
						break;
					}
				}

				if ($check_flag == false) {
					$this->enabled = false;
				}
			}
		}

		function selection() {
		  $selection = array(
			'id' => $this->code,
			'module' => $this->title,
			'description'=>$this->info,
			'fields' => array(
						   array('title' => MODULE_PAYMENT_PAYANYWAY_MONEYMAIL_BUYEREMAIL_TITLE,
								 'field' => tep_draw_input_field('payanyway_buyer_email', $_SESSION['payanyway_buyer_email']))
						   ));

			return $selection;
		}

		function pre_confirmation_check() {
			$this->payanyway_buyer_email = tep_db_prepare_input($_SESSION['payanyway_buyer_email']);
		}

		function process_button() {
		  $process_button_string  = tep_draw_hidden_field('payanyway_buyer_email', $this->payanyway_buyer_email);
		  return $process_button_string;
		}

		function before_process() {
			 $this->pre_confirmation_check();
			return false;
		}

		function after_process() {
			global $insert_id, $currencies, $languages_id, $order, $customer_id, $cart, $payanyway_buyer_email;
		
			if ($this->order_status)
				tep_db_query("UPDATE ".TABLE_ORDERS." SET orders_status='".$this->order_status."' WHERE orders_id='".$insert_id."'");
			
			switch (MODULE_PAYMENT_PAYANYWAY_TEST_MODE) {
				case 'Real':
					$test_mode = '0';
					break;
				case 'Test':
					$test_mode = '1';
					break;
			}
			
			$lang_query = tep_db_query("select code from " . TABLE_LANGUAGES . " where languages_id = '" . (int)$languages_id . "'");
			$lang = tep_db_fetch_array($lang_query); 
			
			switch (strtolower($lang['code'])) {
				case 'en':
				case 'ru':
					$language_code = strtolower($lang['code']);
					break;
				default:
					$language_code = strtolower(DEFAULT_LANGUAGE);
			}
			
//			$transactionId = STORE_NAME . date('Ymdhis') . rand (0, 99999);
			$amount = number_format($order->info['total'] * $currencies->get_value(MODULE_PAYMENT_PAYANYWAY_CURRENCY_CODE), 2, '.', '');
			$order_id = $insert_id;
			$currency = ('RUR' == MODULE_PAYMENT_PAYANYWAY_CURRENCY_CODE) ? 'RUB' : MODULE_PAYMENT_PAYANYWAY_CURRENCY_CODE;
			
			$cart->reset(true);
			tep_session_unregister('sendto');
			tep_session_unregister('billto');
			tep_session_unregister('shipping');
			tep_session_unregister('payment');
			tep_session_unregister('comments');
			tep_session_unregister('payanyway_buyer_email');
			
			tep_redirect( 'https://' . MODULE_PAYMENT_PAYANYWAY_SERVER . '/assistant.htm?' .
												'MNT_ID=' . MODULE_PAYMENT_PAYANYWAY_MERCHANT_ID .
												'&MNT_TRANSACTION_ID=' . $order_id . 
												'&MNT_AMOUNT=' . $amount .
												'&MNT_CURRENCY_CODE=' . $currency .
												'&MNT_TEST_MODE=' . $test_mode .
												'&MNT_SIGNATURE=' . md5(MODULE_PAYMENT_PAYANYWAY_MERCHANT_ID . $order_id . $amount . $currency . $test_mode . MODULE_PAYMENT_PAYANYWAY_DATA_INTEGRITY_CODE) .
												'&MNT_SUCCESS_URL=' . tep_href_link(FILENAME_CHECKOUT_SUCCESS, '', 'SSL') .
												'&MNT_FAIL_URL=' . tep_href_link(FILENAME_CHECKOUT_PAYMENT, '', 'SSL') .
												'&paymentSystem.unitId=' . $this->params['unit_id'] .
												'&paymentSystem.limitIds=' . $this->params['limit_ids'] .
												'&paymentSystem.accountId=' . $this->params['account_id'] .
												'&additionalParameters.buyerEmail=' . htmlspecialchars($payanyway_buyer_email) .
												'&followup=true' .
												'&javascriptEnabled=true' .
												'&orderId=' . $order_id .
												'&customerId=' . $customer_id .
												'&moneta.locale=' . $language_code);
		}
		
		function check() {
			if (!isset($this->_check)) {
				$check_query = tep_db_query("select configuration_value from " . TABLE_CONFIGURATION . " where configuration_key = 'MODULE_PAYMENT_PAYANYWAY_MONEYMAIL_STATUS'");
				$this->_check = tep_db_num_rows($check_query);
			}
			return $this->_check;
		}

		function install() {
			$check_query = tep_db_query("select orders_status_id from " . TABLE_ORDERS_STATUS . " where orders_status_name = 'Preparing [PayAnyWay]' limit 1");

			if (tep_db_num_rows($check_query) < 1) {
				$status_query = tep_db_query("select max(orders_status_id) as status_id from " . TABLE_ORDERS_STATUS);
				$status = tep_db_fetch_array($status_query);

				$status_id = $status['status_id']+1;

				$languages = tep_get_languages();

				for ($i=0, $n=sizeof($languages); $i<$n; $i++) {
					tep_db_query("insert into " . TABLE_ORDERS_STATUS . " (orders_status_id, language_id, orders_status_name) values ('" . $status_id . "', '" . $languages[$i]['id'] . "', 'Preparing [PayAnyWay]')");
				}

				$flags_query = tep_db_query("describe " . TABLE_ORDERS_STATUS . " public_flag");
				if (tep_db_num_rows($flags_query) == 1) {
					tep_db_query("update " . TABLE_ORDERS_STATUS . " set public_flag = 1 and downloads_flag = 0 where orders_status_id = '" . $status_id . "'");
				}
			} else {
				$check = tep_db_fetch_array($check_query);

				$status_id = $check['orders_status_id'];
			} 
		
			tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Enable PayAnyWay Module', 'MODULE_PAYMENT_PAYANYWAY_MONEYMAIL_STATUS', 'True', 'Do you want to accept PayAnyWay payments?', '6', '1', 'tep_cfg_select_option(array(\'True\', \'False\'), ', now())");
			tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function, date_added) values ('Payment Zone', 'MODULE_PAYMENT_PAYANYWAY_MONEYMAIL_ZONE', '0', 'If a zone is selected, only enable this payment method for that zone', '6', '6', 'tep_get_zone_class_title', 'tep_cfg_pull_down_zone_classes(', now())");
			tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Sort order of display.', 'MODULE_PAYMENT_PAYANYWAY_MONEYMAIL_SORT_ORDER', '0', 'Sort order of display. Lowest is displayed first', '6', '9', now())");
		}

		function remove() {
			tep_db_query("delete from " . TABLE_CONFIGURATION . " where configuration_key in ('" . implode("', '", $this->keys()) . "')");
		}

		function keys() {
			return array('MODULE_PAYMENT_PAYANYWAY_MONEYMAIL_STATUS', 'MODULE_PAYMENT_PAYANYWAY_MONEYMAIL_ZONE', 'MODULE_PAYMENT_PAYANYWAY_MONEYMAIL_SORT_ORDER');
		}
	}
?>
